Loading...
Searching...
No Matches
mdds::ssmap::linear_key_finder< ValueT > Class Template Reference

`#include <sorted_string_map.hpp>`

## Public Member Functions

| linear_key_finder (const entry_type *entries, const entry_type *entries_end) noexcept
std::string_view | operator() (const value_type &v) const

## Detailed Description

template<typename ValueT>
class mdds::ssmap::linear_key_finder< ValueT >

Function object that iterates through the key-value entries linearly until it finds one that contains the target value.